import numpy as np
import pylab
from matplotlib.gridspec import GridSpec
import matplotlib
import matplotlib.gridspec as gridspec
from scipy.stats import gaussian_kde
from scipy import stats
import matplotlib.pyplot as plt

spec = open("path/list.txt").read().splitlines()
i = 0

gs = GridSpec(5, 1)
gs.update(wspace=0, hspace=0.2)

while i<len(spec):
	s = open("path/%s" %spec[i]).read().splitlines()
	wl = []
	f_o = []
	f_s = []
	res = []
	wl_ruim = []
	f_ruim = []
	j = 1053
	while j<len(s):
		line = s[j].split()
		wl.append(float(line[0]))
		f_o.append(float(line[1]))
		f_s.append(float(line[2]))
		r = float(line[1]) - float(line[2])
		res.append(r)
		if float(line[3]) <= 0:
			wl_ruim.append(float(line[0]))
			f_ruim.append(float(line[1]))
		j+=1

	fig = plt.figure()
	#plt.suptitle('%s' %files[j][0:29])
	a1 = plt.subplot(gs[0:4, 0])
	a1.plot(wl, f_o, color = "black", linewidth=1, label='Observed')
	a1.plot(wl, f_s, color = "red", linewidth=1, label='Synthetic')
	a1.errorbar(wl_ruim, f_ruim, fmt="X", color = "gray", label='Masked or clipped pixels')
	plt.ylabel('Flux')
	plt.setp(a1.get_xticklabels(), visible=False)
	plt.xlim(wl[0],wl[-1])
	#plt.ylim(0,max(f_o))
	#u5.tick_params(axis=y, which='both', length=0)
	legend = a1.legend(loc='best', prop={'size': 10})
	
	a2 = a1 = plt.subplot(gs[4:5, 0])
	a2.plot(wl, res, color = "black", linewidth=1)
	plt.xlim(wl[0],wl[-1])
	#plt.ylim(-0.15,0.15)
	plt.xlabel(r'Wavelength ($\AA$)')
	plt.ylabel('Residuals')
	
	fig = plt.gcf()
	fig.set_size_inches(15,10)
	fig.savefig('path/%s.png' %spec[i], bbox_inches='tight')
	print(i)
	i+=1
