import matplotlib.pyplot as plt
from math import *
import numpy as np
import pylab
from matplotlib.gridspec import GridSpec
import matplotlib.gridspec as gridspec
import seaborn as sns; sns.set(color_codes=True)

lista = open("output/lista_outputs.txt").read().splitlines()
base = open("vazdekis15_selected_mass.base").read().splitlines()
i = 0

#available ages and feh
avai_ages = np.genfromtxt("vazdekis15_selected_mass.base", skip_header=1)[:,1]
avai_ages = list(set(avai_ages))
avai_ages.sort()
print(avai_ages)
avai_feh = np.genfromtxt("vazdekis15_selected_mass.base", skip_header=1)[:,2]
avai_feh = list(set(avai_feh))
avai_feh.sort()

nbars_age = 18
nbars_feh = 6

while i<len(lista):
	filee = open("output/%s" %lista[i]).read().splitlines()
	ident1 = filee[5].split()
	ident = ident1[0][0:18]
	v0 = filee[57].split()[0]
	j = 63
	age_array=[]
	feh_array=[]
	while j<(63+len(base)-1):
		xj = float(filee[j].split()[1])
		m = j-62
		if xj>-0.01:
			xj=ceil(xj)
			age_array+=(xj*[float(base[m].split()[1])])
			feh_array+=(xj*[float(base[m].split()[2])])
		j+=1
		
	u = 63
	age_bar=18*[0]
	feh_bar=6*[0]
	while u<(63+len(base)-1):
		xj = float(filee[u].split()[1])
		m=u-62
		age_base = float(base[m].split()[1])
		k = 0
		while k<len(age_bar):
			if age_base == avai_ages[k]:
				age_bar[k]+=xj
			k+=1
		u+=1
		
	#if i==2:
	#	print(len(age_array))
	#	print(len(feh_array))	

	fig = plt.figure()
	plt.suptitle("%s" %lista[i])
	a1 = plt.subplot(1,2,1)
	a1 = sns.kdeplot(feh_array, age_array, cmap="Reds",cbar=True, shade=True, shade_lowest=False)
	#if i==2:
	#	a1.errorbar(x=feh_array, y=age_array, color="k", fmt=".")
	plt.xlabel("[Fe/H]", fontsize=9)
	plt.ylabel("Age (Gyr)", fontsize=9)
	plt.ylim(0,14)
	
	a2 = plt.subplot(1,2,2)
	a2.bar(np.arange(nbars_age), age_bar, color='xkcd:seaweed green')
	plt.xticks(np.arange(nbars_age), avai_ages)
	plt.xlabel("Age (Gyr)", fontsize=9)
	plt.xticks(size=9, rotation=90)
	
	fig = plt.gcf()
	fig.set_size_inches(14,6)
	fig.savefig('colormap_%s.png' %lista[i], bbox_inches='tight')
	print('%s de %s' %(i+1, len(lista)))
		#plt.gcf().clear
	#if i==0:
	#	print(age_array)
	#	print(feh_array)
	
	
	i+=1
